<?php

namespace Podeli\Payment\Models;

class RefundOrder extends Entity
{
    private $orderId = null;

    public function __construct()
    {
        $this->data = [
            'initiator' => 'shop',
            'items'     => [],
        ];
    }

    public function setId(string $id)
    {
        $this->data['id'] = $id;
        return $this;
    }

    public function addItem(RefundItem $item)
    {
        $this->data['items'][] = $item->toArray();
        return $this;
    }

}
